Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.deployment
Class JBossClassPool32

    java.lang.Object
      javassist.ClassPool
          org.jboss.aop.AOPClassPool
              org.jboss.aop.deployment.JBossClassPool32

public class JBossClassPool32
extends org.jboss.aop.AOPClassPool

Comment

Version:
  $Revision: 1.1.2.7 $
Author:
  Bill Burke

Field Summary
`protected File` | `tempdir` Used for dynamically created classes (see loadClass(String, byte[]), ClassLoader)
`protected Object` | `tmplock`

Fields inherited from class org.jboss.aop.AOPClassPool
`classPath, manager, softcache`

Fields inherited from class javassist.ClassPool
`childFirstLookup, classes, doPruning, parent, releaseUnmodifiedClassFile, source`

Constructor Summary
`protected` | `JBossClassPool32(ClassLoader cl, javassist.ClassPool src, org.jboss.aop.AspectManager manager, File tmp)`
`protected` | `JBossClassPool32(javassist.ClassPool src, org.jboss.aop.AspectManager manager)`

Method Summary
`boolean` | `isUnloadedClassLoader()`
`Class` | `toClass(javassist.CtClass cc, ClassLoader loader)`

Methods inherited from class org.jboss.aop.AOPClassPool
`cacheCtClass, close, createAOPClassPool, createAOPClassPool, flushClass, getCached, getCachedLocally, getClassLoader, getLocally, lockInCache, setClassLoader, soften`

Methods inherited from class javassist.ClassPool
`appendClassPath, appendClassPath, appendPathList, appendSystemPath, clearImportedPackages, createCtClass, find, get, get, get0, getAndRename, getDefault, getImportedPackages, getMethod, importPackage, insertClassPath, insertClassPath, lookupCflow, makeClass, makeClass, makeClass, makeInterface, makeInterface, recordInvalidClassName, removeCached, removeClassPath, toClass, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### tempdir

    protected File tempdir

  Used for dynamically created classes (see loadClass(String, byte[]), ClassLoader)

### tmplock

    protected final Object tmplock

Constructor Detail

### JBossClassPool32

    protected JBossClassPool32(ClassLoader cl,
                               javassist.ClassPool src,
                               org.jboss.aop.AspectManager manager,
                               File tmp)

### JBossClassPool32

    protected JBossClassPool32(javassist.ClassPool src,
                               org.jboss.aop.AspectManager manager)

Method Detail

### isUnloadedClassLoader

    public boolean isUnloadedClassLoader()

### toClass

    public Class toClass(javassist.CtClass cc,
                         ClassLoader loader)
                  throws javassist.CannotCompileException

  Throws:
    `javassist.CannotCompileException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.